<md-dialog flex="50" aria-label="User profile" zafira-background-theme="modal" class="styled-modal">
    <form class="form-validation styled-modal__form" name="user_form" ng-submit="createUser(); UtilService.untouchForm(user_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">New user</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <div layout layout-xs="column" class="input-size-m">
                    <md-input-container flex>
                        <label>Username</label>
                        <input id="username"
                            type="text"
                            ng-model="user.username"
                            name="username"
                            ng-minlength="3"
                            ng-maxlength="50"
                            ng-pattern="/^[A-Za-z0-9_-]+$/"
                            placeholder=""
                            required
                        />
                        <div ng-messages="user_form.username.$error">
                            <div ng-repeat="validation in UtilService.validations.username" ng-message="{{validation.name}}">
                                <span ng-if="validation.additional">
                                    <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                    {{ validation.message }}
                                </span>
                                <span ng-if="! validation.additional">{{ validation.message }}</span>
                            </div>
                            <div ng-message="validationError">{{ signup_form.username.errorMessage }}</div>
                        </div>
                    </md-input-container>
                </div>
                <div class="inputs-group w-divider">
                    <div layout layout-xs="column" class="input-size-m">
                        <md-input-container flex>
                            <label>First name</label>
                            <input id="firstName"
                                type="text"
                                ng-model="user.firstName"
                                name="firstName"
                                ng-minlength="::UtilService.getValidationValue('name', 'minlength')"
                                ng-maxlength="::UtilService.getValidationValue('name', 'maxlength')"
                                ng-pattern="::UtilService.getValidationValue('name', 'pattern')"
                                placeholder=""
                                required
                            />
                            <div ng-messages="user_form.firstName.$error">
                                <div ng-repeat="validation in ::UtilService.validations.name.concat(UtilService.validations.firstName)" ng-message="{{validation.name}}">
                                    <span ng-if="validation.additional">
                                        <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                        {{ validation.message }}
                                    </span>
                                    <span ng-if="! validation.additional">{{ validation.message }}</span>
                                </div>
                            </div>
                        </md-input-container>
                    </div>
                    <div layout layout-xs="column" class="input-size-m">
                        <md-input-container flex>
                            <label>Last Name</label>
                            <input id="lastName"
                                type="text"
                                ng-model="user.lastName"
                                name="lastName"
                                ng-minlength="::UtilService.getValidationValue('name', 'minlength')"
                                ng-maxlength="::UtilService.getValidationValue('name', 'maxlength')"
                                ng-pattern="::UtilService.getValidationValue('name', 'pattern')"
                                placeholder=""
                                required
                            />
                            <div ng-messages="user_form.lastName.$error">
                                <div ng-repeat="validation in ::UtilService.validations.name.concat(UtilService.validations.lastName)" ng-message="{{validation.name}}">
                                    <span ng-if="validation.additional">
                                        <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                        {{ validation.message }}
                                    </span>
                                    <span ng-if="! validation.additional">{{ validation.message }}</span>
                                </div>
                            </div>
                        </md-input-container>
                    </div>
                </div>
                <div class="inputs-group">
                    <div layout layout-xs="column" class="input-size-m">
                        <md-input-container flex>
                            <label>Email</label>
                            <input id="email"
                                type="email"
                                ng-model="user.email"
                                name="email"
                                ng-pattern="/^.+@.+\..+$/"
                                placeholder=""
                                required
                            />
                            <div ng-messages="user_form.email.$error">
                                <div ng-message="required"><span>Email required</span></div>
                                <div ng-message="pattern"><span>Invalid format</span></div>
                            </div>
                        </md-input-container>
                    </div>
                    <div layout layout-xs="column" class="input-size-m">
                        <md-input-container nonautocomplete flex>
                            <label>Password</label>
                            <input id="password"
                                type="password"
                                ng-model="user.password"
                                name="password"
                                ng-minlength="::UtilService.getValidationValue('password', 'minlength')"
                                ng-maxlength="::UtilService.getValidationValue('password', 'maxlength')"
                                ng-pattern="::UtilService.getValidationValue('password', 'pattern')"
                                autocomplete="new-password"
                                placeholder=""
                                required
                                />
                            <div ng-messages="user_form.password.$error">
                                <div ng-repeat="validation in ::UtilService.validations.password" ng-message="{{validation.name}}">
                                    <span ng-if="validation.additional">
                                        <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                        {{ validation.message }}
                                    </span>
                                    <span ng-if="! validation.additional">{{ validation.message }}</span>
                                </div>
                            </div>
                        </md-input-container>
                    </div>
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="create" type="submit"
                       class="md-raised btn-w-md md-primary"
                       ng-disabled="user_form.$invalid">
                Create
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
